# List settlement chargebacks Retrieve all chargebacks 'deducted' from the given settlement. The response is in the same format as the response of the [List chargebacks endpoint](list-chargebacks). > 🔑 Access with > > [Organization access token with **settlements.read** **payments.read**](/reference/authentication) > > [OAuth access with **settlements.read** **payments.read**](/reference/authentication) # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Business operations", "version": "1.0.0", "license": { "name": "Attribution-NonCommercial-ShareAlike 4.0 International", "identifier": "CC-BY-NC-SA-4.0" } }, "servers": [ { "url": "https://api.mollie.com/v2" } ], "security": [ { "apiKey": [] }, { "organizationAccessToken": [] }, { "oAuth": [] } ], "paths": { "/settlements/{settlementId}/chargebacks": { "parameters": [ { "name": "settlementId", "description": "Provide the ID of the related settlement.", "in": "path", "required": true, "schema": { "type": "string", "pattern": "^stl_.+$", "example": "stl_5B8cwPMGnU" } } ], "get": { "summary": "List settlement chargebacks", "x-speakeasy-name-override": "list-chargebacks", "tags": [ "Settlements API" ], "operationId": "list-settlement-chargebacks", "security": [ { "organizationAccessToken": [ "settlements.read", "payments.read" ] }, { "oAuth": [ "settlements.read", "payments.read" ] } ], "description": "Retrieve all chargebacks 'deducted' from the given settlement.\n\nThe response is in the same format as the response of the [List chargebacks endpoint](list-chargebacks).\n\n> 🔑 Access with\n>\n> [Organization access token with **settlements.read** **payments.read**](/reference/authentication)\n>\n> [OAuth access with **settlements.read** **payments.read**](/reference/authentication)", "parameters": [ { "name": "from", "in": "query", "description": "Provide an ID to start the result set from the item with the given ID and onwards. This allows you to paginate the result set.", "schema": { "type": "string", "pattern": "^chb_.+$", "example": "chb_xFzwUN4ci8HAmSGUACS4J" } }, { "name": "limit", "description": "The maximum number of items to return. Defaults to 50 items.", "in": "query", "schema": { "type": [ "integer", "null" ], "minimum": 1, "maximum": 250, "default": 50, "example": 50 } }, { "description": "This endpoint allows you to embed additional information via the `embed` query string parameter.", "schema": { "type": "string", "enum": [ "payment" ], "x-enumDescriptions": { "payment": "Include the payment these chargebacks were issued for." }, "example": "payment" }, "name": "embed", "in": "query" }, { "name": "testmode", "description": "Most API credentials are specifically created for either live mode or test mode. In those cases the `testmode` query parameter must not be sent. For organization-level credentials such as OAuth access tokens, you can enable test mode by setting the `testmode` query parameter to `true`.\n\nTest entities cannot be retrieved when the endpoint is set to live mode, and vice versa.", "in": "query", "schema": { "type": "boolean", "example": false } } ], "responses": { "200": { "description": "A list of chargeback objects.", "content": { "application/hal+json": { "schema": { "type": "object", "required": [ "count", "_embedded", "_links" ], "properties": { "count": { "type": "integer", "description": "The number of items in this result set. If more items are available, a `_links.next` URL will be present in the result as well.\n\nThe maximum number of items per result set is controlled by the `limit` property provided in the request. The default limit is 50 items.", "minimum": 1, "maximum": 250, "example": 5 }, "_embedded": { "type": "object", "required": [ "chargebacks" ], "properties": { "chargebacks": { "description": "A list of chargeback objects.", "type": "array", "items": { "type": "object", "required": [ "resource", "id", "amount", "createdAt", "paymentId", "_links" ], "properties": { "resource": { "type": "string", "description": "Indicates the response contains a chargeback object. Will always contain the string `chargeback` for this endpoint.", "readOnly": true, "example": "chargeback" }, "id": { "allOf": [ { "type": "string", "pattern": "^chb_.+$", "example": "chb_xFzwUN4ci8HAmSGUACS4J" } ], "description": "The identifier uniquely referring to this chargeback. Example: `chb_n9z0tp`.", "readOnly": true }, "amount": { "description": "The amount charged back by the customer.", "type": "object", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } }, "settlementAmount": { "allOf": [ { "type": [ "object", "null" ], "description": "In v2 endpoints, monetary amounts are represented as objects with a `currency` and `value` field.", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } } ], "description": "This optional field will contain the approximate amount that will be deducted from your account balance, converted to the currency your account is settled in.\n\nThe amount is a **negative** amount.\n\nSince the field contains an estimated amount during chargeback processing, it may change over time. To retrieve accurate settlement amounts we recommend using the [List balance transactions endpoint](list-balance-transactions) instead.", "readOnly": true }, "reason": { "type": [ "object", "null" ], "description": "Reason for the chargeback as given by the bank. Only available for chargebacks of SEPA Direct Debit payments.", "required": [ "code", "description" ], "properties": { "code": { "type": "string", "description": "Technical code provided by the bank.", "example": "AC01" }, "description": { "type": "string", "description": "A more detailed human-friendly description.", "example": "Account identifier incorrect (i.e. invalid IBAN)" } }, "readOnly": true }, "paymentId": { "allOf": [ { "type": "string", "pattern": "^tr_.+$", "example": "tr_5B8cwPMGnU" } ], "description": "The unique identifier of the payment this chargeback was created for. For example: `tr_5B8cwPMGnU6qLbRvo7qEZo`. The full payment object can be retrieved via the payment URL in the `_links` object.", "readOnly": true }, "settlementId": { "type": [ "string", "null" ], "allOf": [ { "type": "string", "pattern": "^stl_.+$", "example": "stl_5B8cwPMGnU" } ], "description": "The identifier referring to the settlement this payment was settled with. For example, `stl_BkEjN2eBb`. This field is omitted if the refund is not settled (yet).", "readOnly": true }, "createdAt": { "type": "string", "description": "The entity's date and time of creation, in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.", "readOnly": true, "example": "2024-03-20T09:13:37+00:00" }, "reversedAt": { "type": [ "string", "null" ], "description": "The date and time the chargeback was reversed if applicable, in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.", "example": "2024-03-21T09:13:37+00:00", "readOnly": true }, "_links": { "type": "object", "description": "An object with several relevant URLs. Every URL object will contain an `href` and a `type` field.", "required": [ "self", "payment" ], "properties": { "self": { "type": "object", "description": "In v2 endpoints, URLs are commonly represented as objects with an `href` and `type` field.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "payment": { "description": "The API resource URL of the [payment](get-payment) that this chargeback belongs to.", "type": "object", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "settlement": { "description": "The API resource URL of the [settlement](get-settlement) this chargeback has been settled with. Not present if not yet settled.", "type": [ "object", "null" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } } }, "readOnly": true } } } } } }, "_links": { "type": "object", "description": "Links to help navigate through the lists of items. Every URL object will contain an `href` and a `type` field.", "required": [ "self", "previous", "next", "documentation" ], "properties": { "self": { "description": "The URL to the current set of items.", "type": "object", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "previous": { "description": "The previous set of items, if available.", "type": [ "object", "null" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "next": { "description": "The next set of items, if available.", "type": [ "object", "null" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "documentation": { "type": "object", "description": "In v2 endpoints, URLs are commonly represented as objects with an `href` and `type` field.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } } } } } }, "examples": { "list-chargeback-200-1": { "summary": "List of chargeback objects", "value": { "count": 1, "_embedded": { "chargebacks": [ { "resource": "chargeback", "id": "chb_xFzwUN4ci8HAmSGUACS4J", "amount": { "currency": "USD", "value": "43.38" }, "settlementAmount": { "currency": "EUR", "value": "-35.07" }, "reason": { "code": "AC01", "description": "Account identifier incorrect (i.e. invalid IBAN)" }, "paymentId": "tr_5B8cwPMGnU6qLbRvo7qEZo", "createdAt": "2023-03-14T17:09:02+00:00", "reversedAt": null, "_links": { "self": { "href": "...", "type": "application/hal+json" }, "payment": { "href": "https://api.mollie.com/v2/payments/tr_5B8cwPMGnU6qLbRvo7qEZo", "type": "application/hal+json" }, "documentation": { "href": "...", "type": "text/html" } } } ] }, "_links": { "self": { "href": "...", "type": "application/hal+json" }, "previous": null, "next": { "href": { "value": "https://api.mollie.test/v2/settlements/stl_nml7kw/chargebacks?from=chb_xFzwUN4ci8HAmSGUACS4J&limit=1" }, "type": "application/hal+json" }, "documentation": { "href": "...", "type": "text/html" } } } }, "list-chargeback-200-2": { "summary": "List payment chargebacks", "value": { "_embedded": { "chargebacks": [ { "resource": "chargeback", "id": "chb_xFzwUN4ci8HAmSGUACS4J", "amount": { "value": "10.00", "currency": "EUR" }, "createdAt": "2022-01-03T13:20:37+00:00", "paymentId": "tr_8bVBhk2qs4", "settlementAmount": { "value": "-10.00", "currency": "EUR" }, "_links": { "self": { "href": "...", "type": "application/hal+json" }, "payment": { "href": "https://api.mollie.com/v2/payments/tr_8bVBhk2qs4", "type": "application/hal+json" }, "documentation": { "href": "...", "type": "text/html" } } } ] }, "count": 1, "_links": { "documentation": { "href": "...", "type": "text/html" }, "self": { "href": "...", "type": "application/hal+json" }, "previous": null, "next": null } } }, "list-chargeback-200-3": { "summary": "List payment chargebacks with payment embedded", "value": { "_embedded": { "chargebacks": [ { "resource": "chargeback", "id": "chb_xFzwUN4ci8HAmSGUACS4J", "amount": { "value": "10.00", "currency": "EUR" }, "createdAt": "2022-01-03T13:20:37+00:00", "paymentId": "tr_8bVBhk2qs4", "settlementAmount": { "value": "-10.00", "currency": "EUR" }, "_embedded": { "payment": { "resource": "payment", "id": "tr_8bVBhk2qs4", "mode": "test", "createdAt": "2022-01-03T13:11:20+00:00", "amount": { "value": "10.00", "currency": "EUR" }, "description": "This is the description of the payment", "method": "creditcard", "metadata": { "someProperty": "someValue", "anotherProperty": "anotherValue" }, "status": "paid", "paidAt": "2022-01-03T13:18:39+00:00", "amountRefunded": { "value": "0.00", "currency": "EUR" }, "amountRemaining": { "value": "10.00", "currency": "EUR" }, "amountChargedBack": { "value": "10.00", "currency": "EUR" }, "locale": "en_US", "restrictPaymentMethodsToCountry": "NL", "countryCode": "NL", "profileId": "pfl_85dxyKqNHa", "sequenceType": "oneoff", "redirectUrl": "https://example.com/landing_page", "webhookUrl": "https://example.com/redirect", "settlementAmount": { "value": "10.00", "currency": "EUR" }, "details": { "cardNumber": "6787", "cardHolder": "T. TEST", "cardAudience": "consumer", "cardLabel": "Mastercard", "cardCountryCode": "NL", "cardSecurity": "normal", "feeRegion": "other" }, "_links": { "self": { "href": "...", "type": "application/hal+json" }, "dashboard": { "href": "https://www.mollie.com/dashboard/org_13514547/payments/tr_8bVBhk2qs4", "type": "text/html" }, "changePaymentState": { "href": "https://www.mollie.com/checkout/test-mode?method=creditcard&token=3.11roh2", "type": "text/html" }, "chargebacks": { "href": "https://api.mollie.com/v2/payments/tr_8bVBhk2qs4/chargebacks", "type": "application/hal+json" } } } }, "_links": { "self": { "href": "...", "type": "application/hal+json" }, "payment": { "href": "https://api.mollie.com/v2/payments/tr_8bVBhk2qs4", "type": "application/hal+json" }, "documentation": { "href": "...", "type": "text/html" } } } ] }, "count": 1, "_links": { "documentation": { "href": "...", "type": "text/html" }, "self": { "href": "...", "type": "application/hal+json" }, "previous": null, "next": null } } } } } } }, "400": { "description": "The request contains issues. For example, if the specified `from` value is not a valid ID.", "content": { "application/hal+json": { "schema": { "type": "object", "description": "An error response object.", "required": [ "status", "title", "detail", "_links" ], "properties": { "status": { "type": "integer", "description": "The status code of the error message. This is always the same code as the status code of the HTTP message itself.", "minimum": 400, "maximum": 599, "example": 404 }, "title": { "type": "string", "description": "The HTTP reason phrase of the error. For example, for a `404` error, the `title` will be `Not Found`.", "example": "Not Found" }, "detail": { "type": "string", "description": "A detailed human-readable description of the error that occurred.", "example": "The resource does not exist" }, "field": { "type": "string", "description": "If the error was caused by a value provided by you in a specific field, the `field` property will contain the name of the field that caused the issue.", "example": "description" }, "_links": { "type": "object", "required": [ "documentation" ], "properties": { "documentation": { "type": "object", "description": "The URL to the generic Mollie API error handling guide.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "example": "https://docs.mollie.com/errors" }, "type": { "type": "string", "example": "text/html" } } } } } } }, "example": { "status": 400, "title": "Bad Request", "detail": "Invalid cursor value", "field": "from", "_links": { "documentation": { "href": "...", "type": "text/html" } } } } } }, "404": { "description": "No entity with this ID exists.", "content": { "application/hal+json": { "schema": { "type": "object", "description": "An error response object.", "required": [ "status", "title", "detail", "_links" ], "properties": { "status": { "type": "integer", "description": "The status code of the error message. This is always the same code as the status code of the HTTP message itself.", "minimum": 400, "maximum": 599, "example": 404 }, "title": { "type": "string", "description": "The HTTP reason phrase of the error. For example, for a `404` error, the `title` will be `Not Found`.", "example": "Not Found" }, "detail": { "type": "string", "description": "A detailed human-readable description of the error that occurred.", "example": "The resource does not exist" }, "field": { "type": "string", "description": "If the error was caused by a value provided by you in a specific field, the `field` property will contain the name of the field that caused the issue.", "example": "description" }, "_links": { "type": "object", "required": [ "documentation" ], "properties": { "documentation": { "type": "object", "description": "The URL to the generic Mollie API error handling guide.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "example": "https://docs.mollie.com/errors" }, "type": { "type": "string", "example": "text/html" } } } } } } }, "example": { "status": 404, "title": "Not Found", "detail": "No entity exists with token 'uct_abcDEFghij123456789'", "_links": { "documentation": { "href": "...", "type": "text/html" } } } } } } }, "x-speakeasy-pagination": { "type": "url", "outputs": { "nextUrl": "$._links.next.href" } }, "x-readme": { "code-samples": [ { "language": "shell", "code": "curl -X GET https://api.mollie.com/v2/settlements/stl_jDk30akdN/chargebacks \\\n -H \"Authorization: Bearer access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ\"" }, { "language": "php", "code": "setAccessToken('access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ');\n\n$request = new GetPaginatedSettlementChargebacksRequest('stl_jDk30akdN');\n\n$chargebacks = $mollie->send($request);", "install": "composer require mollie/mollie-api-php" }, { "language": "node", "code": "const { createMollieClient } = require('@mollie/api-client');\nconst mollieClient = createMollieClient({ accessToken: 'access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ' });\n\nconst settlement = await mollieClient.settlementChargebacks.iterate({\n settlementId: 'stl_jDk30akdN'\n});", "install": "npm install @mollie/api-client" }, { "language": "python", "code": "from mollie.api.client import Client\n\nmollie_client = Client()\nmollie_client.set_access_token(\"access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ\")\n\nsettlement = mollie_client.settlements.get(\"stl_jDk30akdN\")\nchargebacks = settlement.chargebacks.list()", "install": "pip install mollie-api-python" }, { "language": "ruby", "code": "require 'mollie-api-ruby'\n\nMollie::Client.configure do |config|\n config.api_key = 'access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ'\nend\n\nchargebacks = Mollie::Settlement::Chargeback.all(settlement_id: 'stl_jDk30akdN')", "install": "gem install mollie-api-ruby" } ] } } } }, "components": { "securitySchemes": { "apiKey": { "type": "http", "scheme": "bearer", "x-default": "live_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM" }, "organizationAccessToken": { "type": "http", "scheme": "bearer", "x-default": "access_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM" }, "oAuth": { "type": "oauth2", "flows": { "authorizationCode": { "authorizationUrl": "https://my.mollie.com/oauth2/authorize", "tokenUrl": "https://api.mollie.com/oauth2/tokens", "scopes": {} } } } } }, "x-readme": { "explorer-enabled": false, "samples-languages": [ "shell", "php", "node", "python", "ruby" ] } } ```